ARP(8)

BEZEICHNUNG
arp - Manipulation des ARP-Zwischenspeichers

ÜBERSICHT
arp [-vn] [-H Typ] [-i if] [-ae] [Rechnername]

arp [-v] [-i Schnittstelle] -d Rechnername [pub]

arp [-v] [-H Typ] [-i Schnittstelle] -s Rechnername hw_adr [temp]

arp [-v] [-H Typ] [-i Schnittstelle] -s Rechnername hw_adr [netmask Maske] pub

arp [-v] [-H Typ] [-i Schnittstelle] -Ds Rechnername Schnittstelle [netmask Maske] pub

arp [-vnD] [-H Typ] [-i Schnittstelle] -f [Dateiname]

BESCHREIBUNG
Arp bearbeitet den IPv4-Netzwerknachbar-Zwischenspeicher des Kernels oder zeigt diesen an. Es kann Einträge zu der Tabelle hinzufügen, einen daraus löschen oder den aktuellen Inhalt anzeigen.

ARP steht für »Address Resolution Protocol«, welches dazu verwendet wird, über die IPv4-Adresse die MAC-Adresse von Nachbarn im Netzwerk zu finden.

MODI
arp ohne Modusangabe gibt den aktuellen Inhalt der Tabelle aus. Es ist möglich, die Anzahl der dargestellten Einträge zu beschränken, indem ein Hardware-Adresstyp, Schnittstellenname oder eine Rechneradresse angegeben wird.

arp -d Adresse löscht einen Eintrag in der ARP-Tabelle. Die Privilegien von Root oder dem Netzadministrator werden dafür benötigt. Der Eintrag wird über die IP-Adresse ermittelt. Falls ein Rechnername angegeben wird, wird er aufgelöst, bevor der Eintrag in der ARP-Tabelle nachgeschlagen wird.

arp -s Adresse hw_addr wird dazu verwandt, einen neuen Tabelleneintrag einzurichten. Das Format des Parameters hw_addr hängt von der Hardwareklasse ab, aber bei den meisten Klassen kann angenommen werden, dass die normale Darstellung verwandt werden kann. Für die Klasse Ethernet sind dies 6, durch Doppelpunkt getrennte hexadexzimale Byte. Beim Hinzufügen von Proxy-Arp-Einträgen (das sind solche, bei denen der Schalter pub (für »publish«, veröffentlichen) gesetzt ist) kann eine netmask angegeben werden, um Arp für das gesamte Subnetz über Proxy laufen zu lassen. Das ist keine gute Praxis, wird aber durch ältere Kernel unterstützt, da es nützlich sein kann. Falls der Schalter temp nicht bereitgestellt ist, werden die Einträge permanent im ARP-Zwischenspeicher abgelegt. Um das Einrichten von Einträgen für eine Ihrer Netzwerkschnittstellen zu vereinfachen, können Sie die Form arp -Ds Adresse Schnittstelle verwenden. In diesem Fall wird die Hardwareadresse von der Schnittstelle mit dem angegebenen Namen genommen.

OPTIONEN

-v, --verbose
    Ausführliche Ausgaben.

-n, --numeric
    Numerische Adressausgaben anzeigen, anstatt zu versuchen, die symbolischen Rechner-, Port- oder Benutzernamen zu ermitteln.

-H Typ, --hw-type Typ, -t Typ
    Beim Setzen oder Auslesen des ARP-Zwischenspeichers schränkt dieses optionale Argument ein, auf welcher Klasse von Einträgen arp agieren soll. Der Standardwert dieses Arguments ist ether (d.h. Hardwarecode 0x01 für IEEE 802.3 10Mbps Ethernet). Andere mögliche Werte sind Netzwerkstechniken wie z.B. ARCnet (arcnet), PROnet (pronet), AX.25 (ax25) und NET/ROM (netrom).

-a  Verwendet das alternative Ausgabeformat im BSD-Stil (ohne feste Spalten).

-e  Ausgabeformt im standardmäßigen Linux-Format verwenden (mit festen Spalten).

-D, --use-device
    Anstelle von hw_addr ist das angegebene Argument der Name der Schnittstelle. arp wird die MAC-Adresse dieser Schnittstelle für den Tabelleneintrag verwenden. Dies ist normalerweise die beste Option, um einen Proxy-ARP-Eintrag für sich selbst einzurichten.

-i Schnittstelle, --device Schnittstelle
    Eine Netzwerksschnittstelle auswählen. Beim Ausgeben des ARP-Zwischenspeichers werden nur Einträge für die angegebene Schnittstelle ausgegeben. Beim Setzen von dauerhaften oder temporären Einträgen wird diese Schnittstelle mit dem Eintrag assoziiert. Wird diese Option nicht verwendet, so versucht der Kernel auf Basis der Routentabelle eine Schnittstelle auszuwählen. Für pub-Einträge ist die angegebene Schnittstelle diejenige, auf der ARP-Anfragen beantwortet werden.
    ANMERKUNG: Diese Schnittstelle muss eine andere sein als die, auf welche die IP-Datagramme weitergeleitet werden. ANMERKUNG: Ab der Kernelversion 2.2.0 ist es nicht mehr möglich, ARP-Einträge für ganze Teilnetze zu erzeugen. Stattdessen wird automatisches Proxy ARP durchgeführt, d.h. wenn eine Route existiert und Weiterleitung eingeschaltet ist, wird automatisch ein temporärer Proxy-Arp-Eintrag erzeugt. Siehe auch arp(7) für mehr Details. Die zum Löschen und Setzen verfügbare Option dontpub kann mit 2.4 und neueren Kerneln nicht verwandt werden.

-f Dateiname, --file Dateiname
    Ähnlich der Option -s, außer, dass diesmal die Adressinformation aus der Datei Dateiname verwendet wird. Dies kann verwendet werden, wenn ARP-Einträge für etliche Rechner erzeugt werden müssen. Der Name dieser Datei ist oft /etc/ethers, aber dies ist nicht offiziell standardisiert. Wenn kein Dateinamen angeben ist, wird /etc/ethers benutzt.

    Das Format der Datei ist einfach; es enthält nur ASCII-Textzeilen, die aus einem Rechnernamen und einer Hardwareadresse getrennt durch Leerraum bestehen. Zusätzlich können die Schalter pub, temp und netmask angegeben werden.

Überall, wo Rechnername erwartet wird, kann auch eine IP-Adresse in Form eines durch Punkte getrennten Dezimalquadrupels angegeben werden.

Aus Kompatiblitätsgründen können Rechnername und die Hardwareadresse auch vertauscht werden.

Jeder vollständige Eintrag wird im ARP-Zwischenspeicher mit C markiert. Permanente Einträge werden mit M und zu publizierende Einträge mit P markiert.

BEISPIELE
/usr/sbin/arp -i eth0 -Ds 10.0.0.2 eth1 pub

Beantwortet ARP-Anfragen für 10.0.0.2, die auf der Schnittstelle eth0 mit der MAC-Adresse für eth1 empfangen werden.

/usr/sbin/arp -i eth1 -d 10.0.0.1

Entfernt den ARP-Eintrag für 10.0.0.1 auf der Schnittstelle eth1. Dies betrifft sowohl publizierte Proxy-ARP-Einträge als auch permanente ARP-Einträge.

DATEIEN
/proc/net/arp
/etc/networks
/etc/hosts
/etc/ethers

SIEHE AUCH
ethers(5), rarp(8), route(8), ifconfig(8), netstat(8)

AUTOREN
Fred N. van Kempen <waltje@uwalt.nl.mugnet.org>, Bernd Eckenfels <net-tools@lina.inka.de>.

ÜBERSETZUNG
Die deutsche Übersetzung dieser Handbuchseite wurde von Ralf Bächle <ralf@linux-mips.org>, Simon A. Eugster <simon.eu@gmail.com> und Helge Kreutzmann <debian@helgefjell.de> erstellt.

Diese Übersetzung ist Freie Dokumentation; lesen Sie die GNU General Public License Version 3 (https://www.gnu.org/licenses/gpl-3.0.html) oder neuer bezüglich der Copyright-Bedingungen. Es wird KEINE HAFTUNG übernommen.

Wenn Sie Fehler in der Übersetzung dieser Handbuchseite finden, schicken Sie bitte eine E-Mail an die Mailingliste der Übersetzer (debian-l10n-german@lists.debian.org).